Skip to main content
PATCH
Update agent

Authorizations

x-api-key
string
header
required

API key for programmatic access

Path Parameters

agent_id
string
required

The id of an agent. This is returned on agent creation.

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

Body

application/json
name
string | null

A name to make the agent easier to find

Example:

"My agent"

conversation_config
ConversationalConfigAPIModel-Input · object | null

Conversation configuration for an agent (partial update)

platform_settings
AgentPlatformSettingsRequestModel · object | null

Platform settings for the agent (partial update)

workflow
AgentWorkflowRequestModel · object | null

Workflow for the agent

tags
string[] | null

Tags to help classify and filter the agent

Example:
version_description
string | null

Description for this version when publishing changes

Response

Successful Response

agent_id
string
required

The ID of the agent

name
string
required

The name of the agent

conversation_config
ConversationalConfigAPIModel · object
required

The conversation configuration of the agent

metadata
AgentMetadataResponseModel · object
required

The metadata of the agent

platform_settings
AgentPlatformSettingsResponseModel · object | null

The platform settings of the agent

phone_numbers
AgentPhoneNumberResponseModel · object[]

The phone numbers of the agent

workflow
AgentWorkflowResponseModel · object | null

The workflow of the agent

access_info
ResourceAccessInfo · object | null

Access information for the user

tags
string[]

Agent tags for categorization